Package com.pixelmed.database

# Class DicomDictionaryForStudySeriesInstanceModel

java.lang.Object
com.pixelmed.dicom.DicomDictionaryBase
com.pixelmed.dicom.DicomDictionary
com.pixelmed.database.DicomDictionaryForStudySeriesInstanceModel

public class DicomDictionaryForStudySeriesInstanceModel extends DicomDictionary

The `DicomDictionaryForStudySeriesInstanceModel` class supports a minimal DICOM Study/Series/Instance model.

Attributes of the DICOM Patient entity are included at the Study level.

Attributes of the DICOM Procedure Step entity are included at the Series level.

Attributes of the DICOM Concatenation entity are included at the Instance level.

The subset of the DICOM standard dictionary elements that is included in this dictionary (and hence in the database underlying any `DatabaseInformationModel` that uses this dictionary) consists of the following:

- SOPClassUID
- SOPInstanceUID
- StudyDate
- SeriesDate
- ContentDate
- AcquisitionDate
- StudyTime
- SeriesTime
- ContentTime
- AcquisitionTime
- AcquisitionDateTime
- AccessionNumber
- Modality
- Manufacturer
- InstitutionName
- StudyDescription
- SeriesDescription
- PatientName
- PatientID
- PatientBirthDate
- PatientSex
- PatientAge
- PatientComments
- StudyInstanceUID
- SeriesInstanceUID
- StudyID
- SeriesNumber
- AcquisitionNumber
- InstanceNumber
- DerivationDescription
- LossyImageCompression
- LossyImageCompressionRatio
- LossyImageCompressionMethod
- ClinicalTrialProtocolID
- ClinicalTrialSiteID
- ClinicalTrialSubjectID
- ClinicalTrialTimePointID
- ClinicalTrialTimePointDescription
- TransferSyntaxUID
- SourceApplicationEntityTitle

See Also:
  - `StudySeriesInstanceModel`
  - `InformationEntity`

## Field Summary

### Fields inherited from class com.pixelmed.dicom.DicomDictionary

`StandardDictionary, xmlDicomDictionaryIEResourceName, xmlDicomDictionaryResourceName`

### Fields inherited from class com.pixelmed.dicom.DicomDictionaryBase

`fullNameByTag, informationEntityByTag, nameByTag, tagByName, tagList, valueRepresentationsByTag`

## Constructor Summary

Constructors
Constructor
Description
`DicomDictionaryForStudySeriesInstanceModel()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createTagList()`
Concrete sub-classes implement this method to create a list of all tags in the dictionary.
`InformationEntity`
`getInformationEntityFromTag(AttributeTag tag)`
Get the information entity (patient, study, and so on) of an attribute.

### Methods inherited from class com.pixelmed.dicom.DicomDictionary

`createFullNameByTag, createInformationEntityByTag, createNameByTag, createTagByName, createValueRepresentationsByTag`

### Methods inherited from class com.pixelmed.dicom.DicomDictionaryBase

`getFullNameFromTag, getNameFromTag, getTagFromName, getTagIterator, getValueRepresentationFromTag, main`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DicomDictionaryForStudySeriesInstanceModel

public DicomDictionaryForStudySeriesInstanceModel()

## Method Details

### createTagList

protected void createTagList()
Description copied from class: `DicomDictionaryBase`

Concrete sub-classes implement this method to create a list of all tags in the dictionary.

Overrides:
  `createTagList` in class `DicomDictionary`

### getInformationEntityFromTag

public InformationEntity getInformationEntityFromTag(AttributeTag tag)
Description copied from class: `DicomDictionaryBase`

Get the information entity (patient, study, and so on) of an attribute.

Overrides:
  `getInformationEntityFromTag` in class `DicomDictionaryBase`
Parameters:
  `tag` -
Returns:
  the information entity of the attribute